Home Home > 2009 > 04 > 24 > openSUSE 11.2 Milestone 1 Released
Sign up | Login

openSUSE 11.2 Milestone 1 Released

April 24th, 2009 by

Lizard lovers, get ready to start your engines! The first milestone release for openSUSE 11.2 is now ready for your testing pleasure.

Please note: This is a milestone release. It’s for openSUSE contributors who want to use the release for testing and development (or want a sneak preview of the 11.2 release), but it is not for production use.

What’s New in 11.2 Milestone 1

The 11.2 milestone 1 includes a number of new packages and improvements to the base system that are in development:

You can track all features for 11.2 in openFate.

See more on Factory progress on the Factory Page on the openSUSE wiki. Screenshots are available (and can be uploaded to) Screenshots/11.2_Alpha_0.

Getting Milestone 1

The latest development versions are available from http://software.opensuse.org/developer/. You can choose x86 or x86-64 DVDs or KDE and GNOME Live CDs.

Testing

We all want openSUSE 11.2 to be the best release yet, and we need your help to get there. Please run the release through your usual routine, and let us know about any bugs or other issues that you find. Remember that this is a milestone release, and is not suitable for use on production systems.

Though many openSUSE users can and do use the Factory distribution and/or testing releases for day-to-day work we want to stress that it’s entirely possible that you will encounter serious bugs. See openSUSE.org/Testing for more information on Testing. To follow the testing and development process, we suggest that you subscribe to the openSUSE-Factory mailing list, and join the #openSUSE-Factory channel on Freenode to discuss openSUSE development.

Both comments and pings are currently closed.

71 Responses to “openSUSE 11.2 Milestone 1 Released”

  1. A few words about testing, even if not directly related to this milestone. There will be a full slot dedicated to testing ( http://en.opensuse.org/CommunityWeek#Testing.2FQA ) during the community week ( http://en.opensuse.org/CommunityWeek ), thanks to the effort of Holger Sickenberg.

    My idea is to discuss there also about the community involvement in this very important aspect of the development, so I hope everyone interested will join. In the meanwhile, if you have ideas, suggestions, or want to ask questions, please use the opensuse-testing@opensuse.org mailing list. It might be useful to use a default tag in the topic like “[Testing team]“.

    Thanks, and sorry if this is too OT ;-)

  2. Marcel

    I suggest a tool for installing openSUSE on USB memory stick, such as in Ubuntu. And with persistence, please. ;O)

    • Kraemer

      Check out unetbootin. Not only will it format, download, and apply Opensuse to your flash drive, it will do the same for other popular distros as well. Enjoy.

      http://unetbootin.sourceforge.net/

      • Dich

        sorry, but unetbootin is not a solution. First, the usb sticks created with the linux version are mostly not bootable at all. Next, the windows version makes bootable sticks, BUT – these are the netinstall images. Why won’t opensuse really create usb images, which one could simply write to the stick, perhaps run syslinux and get a working live-distro ?

    • Grósz Dániel

      Is it any different from installing on a hard disk?

      • Beineri

        He doesn’t mean to use YaST to install to it but being able to simply dump an image/ISO with ‘dd’ on a stick.

  3. Dean Hilkewich

    Please return the partitioner to a horizontal layout. It’s totally useless on 4:3 screens especially during install. It’s even worse with the status slapped on the left in a column as well.

  4. grsuse

    kde live cd i686 stop loading. screen becomes black

  5. qwak

    Do you have any plans to port Yast Control Center to 4.x series of Qt library? It still uses old qt3 :/

  6. ac

    Please please please keep the KDE 3.5 desktop option in 11.2. It’s fine to put it under “Other” like you did in 11.1.

    Flame pre-emption: Yes, I’ve filed my KDE4 bugs in bugs.kde.org. Yes, they are showstoppers (for me). Yes, they have not yet been fixed. Yes, I plan to happily upgrade to KDE4 once they are fixed. No, I would not use Gnome as long as KDE3 was available.

    • Nolan

      Im not sure, but i think kde3 packages will be kept in the repositories and just not listed on the install disk as an option. I remember reading somewhere that kde3 will be unsupported, but not unavailable. It also seems logical to make a 1-click-install for kde3. I completely agree with you about kde4 though. I tried 4.0, which was bad. 4.1 wasnt much better. It took for ever for me to turn the desktop to a folder view instead of the default. It ended up just crashing after a while. :(

      • Beineri

        kde3 packages are kept in Build Service repositories and will be kept compiling, and maybe even running ;-), there as long as there are volunteers to do the work. And 11.2 will contain the yet unreleased KDE 4.3.

    • drf

      No KDE 3.5 in the main distribution selection will put OpenSuse itself in the trash bin.

      • Rajko

        You can enjoy KDE 3.5 until December 2010.
        Is included in 11.1 and will be supported as any other package.
        After that if you want to upgrade to 11.2 you will have to use Build Service repositories.

        It is interesting that some people asking bleeding edge in one area (11.2), in the same sentence demand yesterday technology in another, and still expect to be taken seriously.

        • Dich

          That’s very natural, people value their comfort! KDE4 is so different from KDE3 that it’s like another WM. Why would you want to CHANGE the WM if it’s good? You only need to change tiny pieces of it which you didn’t like so much, or add missing parts. A global-radical change is not welcome by everyone (including me), though maybe a slow transition would be possible. Altogether, KDE4 is NOT more usable than KDE3 (again, my personal opinion). And this is serious – imagine you want to upgrade your CPU to the latest powerful one, but keep the old case, instead of buying a colorful-buzzing-light-modded gamers case. Would that be serious?

  7. rodneyp

    The release notes don’t say whether “automatic configuration” can be disabled. That prevented two pre-releases that I tried from completing installation and I have even seen it prevent late betas installing on other PC.

    • Beineri

      “Automatic configuration” could be btw disabled since its introduction.

      • rodneyp

        perhaps “automatic configuration” can be disabled in the i686 release – I’ll leave that to someone else to report. There is no longer a check box that can be disabled in the x86_64 – it goes straight into automatic configuration, then hangs part way through.

    • scott

      I also think that automated installation should be disabled as the default. Automated Installation cannot recover from just about any errors so either make the automated installation revert to non-automated Installation or set the default as Non-Automated. We lost a huge number of users when we released 11.0 as it failed to complete for many reasons, and left the user with a blank console screen with the prompt…Have Lots of Fun!

  8. host

    Why aren´t implemeted features with the most numbers voices? Most of them have status: Evaluation
    So why is openfate? Strange purpose. I expected, what people want, you´ll implement them. :-(

    • Beineri

      You do recognize that this is only the first development release and there are several more months until the release? And votes can be only a hint for priotizing work, it doesn’t magically create resources or volunteers to implement something.

  9. Diegolm

    e17 format wallpapers & .edj files support for better looks…. can do?

    • Pati

      KDE 4.3 will be shipped with many wallpaper plugins. So there will at least be support for image, slideshow, animated wallpapers, black/white board and some more :)

  10. ADedguy21

    How bout adding all available opensuse opensuse plasma themes, bootloaders, wallpapers, grub-loader, etc from kde-look.org in the repositories already compiled. I like to brand the crap out of my pc to let everyone know which distro I’m proud to use…would just like a little more variety.

  11. hope there will be next milestone releases date soon :)

  12. HWT

    a better, better power management would be nice for netbook. maybe something like Eee PC SuperHybryd.

  13. Mola

    I hope that the hda-intel bug will be resolved in openSuse 11.2

  14. Dean Hilkewich

    “Alsa 2.6.29″ <— one hell of a version jump there you have

  15. Xil

    KDE 3.5 is still a much used desktop and people often request and beg you to keep it as an install option like it was under 11.1 but instead it gets moved to the repositry. On the other side people request (the most requested feature on openFATE) to not default install Beagle and to a lesser extent pulse audio, both these 2 packages are a returning issue in the forums and mailing lists.

    I know there are more builds to come before the final 11.2 but I am a little confused here, you have the time to remove KDE 3.5 while many don’t want you to and you don’t have the time to remove beagle/pulseaudio while many want you to.

    Must be me.

    -Xil

    • Beineri

      You wrongly assume that keeping software building, running and secure takes no “time”. But it does, otherwise it will break more and more over time. See Bluetooth under KDE 3.5 on openSUSE 11.1 as bad example.

      • Anonymous

        So broken bluetooth (which is caused from bad packaging practices trying to mix and match libraries) can stop a desktop being put out but horribly broken audio and indexer doesn’t count. Talk about totally sdrawkcab ssa.

    • Nine

      It’s still more than three months till KDE 4.3 arrives and you alredy know, that it won’t work for you?

      • dusanp

        It is still more that three months till KDE 4.3 arrives, and you already know it will work, so you can eliminate the existing working option, which satisfies majority of real users (KDE 3.5)?

  16. John

    I would love a way to install any tar packaged programs. It would get great instead of having to wait for you to update what is already released. I mean like Audex even though it is still in beta it would be great to get the latest sooner. It would also be nice to have this done easily for those that do not like the command line. I realize that if it is already in rpm format that this is easily done. I just think that if you could accomplish this you would be the distribution to have.

  17. Ed

    Please test with Virtual PC and Virtual Box. If you want people to try it, please make it easy to install under the popular free virtualization solutions. Make it work with a default install. Don’t make users have to tweak configuration files. Just test, and make it work. Thanks :)

  18. John

    One thing I would love as well as for it to see the onboard video better then before. It will install all the way and then crap out once it tries to configure the video card. If I use an old PCI video card it works fine but I hate doing this. I will be using another motherboard at some point soon so maybe this one will be supported.

  19. Omar

    I just wish they compile a working LILO again. My system doesn’t dual-boot at all when I use grub & Lilo doesn’t work with these versions: opensuse11, os11.1 & sled11.

    However, LILO from opensuse10.3 & sled10 works flawlessly when dual-booting with xp.

    I hope they place this working lilo back in this version.

  20. John

    I would like to be able to install faac and faad. I know previously when I installed audex it would install these but not this time. Instead of it doing the install like it normally would do I had to save the rpm and then have clicked on it to install. It installed but did not install any thing else that comes with it. I realize that this was probably because I got it from the place where it would have worked for OpenSUSE 11.1. I am sure that I can find the rpm’s for faac and faad if I look as well. I do like the program so far but some things that I would love to install I can not because I have to install them by pacman and they will not work with this newer version.

  21. scott

    I would rather wait another 12 months before we release 11.2. With the enormity of bugs – mostly of major concern currently marked against 11.0 and 11.1 its horrible. A new version release is only going to mostly move the existing bugs to 11.2 – The bugs open in 11.0 and 11.1 are so huge in magnitude and number I would go with stability every time. Releasing a new version that may look different and can preform different aspects of eye kandy is no reason to release anything. I would be happy for 11.2 to be released in 12 months time with most of the 11.0-11.1 bug closed and fixed.

  22. Dave

    Can we get dual desktops working? See links in the fourm.

    http://forums.opensuse.org/applications/393116-opensuse-11-0-dual-desktop-problems-kde-3-4-a.html

    http://forums.opensuse.org/applications/404772-different-desktop-each-monitor.html

    I would also like to see jabber put back in the disto, cant keep using ther version in 10.2 forever.

    Dave

  23. Rajko

    Support for KDE3 does not end when new openSUSE version is released.
    The openSUSE is distro that supports each release for 2 years, and KDE3 is available until end of 2010 with openSUSE 11.1,
    I don’t think that anyone would want KDE3 at that time, just as no one wants KDE2 now.

    • dusanp

      You are missing the point.
      We don’t want to use KDE3 forever. We want to stop using it when KDE4 can replace all features of KDE3. Not when programmers blog about how great the next release is going to be.
      We can not continue using 11.1 till end of 2010, since new hardware is not supported with old Linux.
      So it is irrelevant if 11.1 would be supported till 2100, if you can’t install it on new hardware. I have a new laptop, from March 2009, and already on suse 11.1 (from December 2008), sound does not work, fingertip scanner does not work, camera does not work, no ink jet printer on sale today is supported, Wacom Intuos 4 is not supported.
      So I have to install Ubuntu, not because I like it so much, but simply to get basic hardware to work properly.

  24. oneinch

    W00t! 11.2 milestone 1 found my diamond dt-688 when 11.1 couldn’t for some reason and I though it got trashed during my move. Was I wrong. No more crappy integrated ac97!!!

  25. R. J.

    I don’t know, I tried this milestone release, and, I’m more impressed with windows 7. Strange, I have been using opensuse since 10.2, but am actually looking forward now to a window’s release. I’ve always run the beta’s of opensuse since then, the beta”s of KDE, rarely stuck with a final release because i always preferred the beta’s, but there is just something, I can’t put my finger on that now has me no longer interested in linux. I know it has to do with KDE, but i don’t know what it is. I’ve even stopped trying to convert friends to move to linux. Sigh. Have I fallen out of love with linux :( I keep coming to the news of opensuse and kde, hoping that there will be something to make me fall in love with linux again.

  26. Yamaban

    Just a question: What the f… has happened to the KDE systemconfig?? e.g.:
    - use the interface in control-panel: nothing changes.
    - do it by hand in /etc/opt/kde?/…: the same, nothing!
    - by hand in /opt/kde?/share/config/: some changes, WOOOHOOOW
    - ups ! /var/adm/kdm/kdmrc.sysconfig: what does THIS do?

    Ergo? The priority of the configs are straight trough the wind.
    Please do at least some touch up to get it back in working order.
    Expected would be: for every needed config not found in $USER-HOME/.kde/... use the one in /etc/opt/kde/..., or if not found there, the one in /opt/kde/share/config/, in other words no merging on the system-level. If there is a file in /etc/ the one in /opt/ will be ignored.
    The contents of $USER-HOME/.kde/ are only applied to apps running under id of $USER.

    This is one of the points why there’s still kde 3.5 on the work-non-test machines in my lab.
    For me and my crew it’s a absolute show-blocker.

    • Beineri

      KDE4 uses ~/.kde4 and /etc/kde4 – you changing KDE3 settings will of course not change KDE4 behavior.

  27. dutchkind

    This new milestone is running great and stable. I use opensuse 11 as my standard desktop and decided to wait for 11.2 because 11.1 has too many issues for me with stability and so. But this one is great, everything works, except the networkmanager sometimes doesn’t connect.
    One issue though, I came across, which has been a problem since 11.1, is the grub install. I use opensuse since 8.2 and never had this problem, but now the install of opensuse in my test parttition spoils my mbr so I cannot restart anymore. I found out that restoring my saved mbr fixes the problem, but this is something thta really should be fixed. I install grub in the partition where the version of linux is being installed so my working distro isn’t affected, but whatever I tried in 11.1, it never worked, and still not in 11.2.
    Another, minor, issue is that while installing from the live cd, there was no progressbar visible, it stayed all the time at 5% while copying root filesystem and hearing a cd drive working hard. I didin’t know if something had gone wrong or so.

  28. j_black

    As far as 11.2 features go, it would be really nice if the default VNC actually works and is stable. The 11.0/11.1 “tightvnc” won’t stay connected, continually drops out, and is generally unusable with standards Linux clients. TightVNC is so terribly unreliable that I have been forced into using x11vnc which is essentially technology from the 80′s. Please consider that many people run OpenSuse headless and really need strong VNC.

  29. Jen-Cheng Chen

    The touchpad didn’t work during installation on my Asus A8JS notebook. After rebooting and entering in configuration, it works

  30. Cairo

    Please, can you tell me what version of xorg/xserver is in it, because I have a ati x1250 card which the lastest compatible catalyst driver is 9.3, which aren’t compatible with xserver 1.6 or higher…

  31. nehemiah

    Hi, Still I never met any linux that detects my sound card automatically. But I love suse so much, I tried my best in digging google :(. If next version of suse detects my sound card, I will be thankful till my life. Here are my sound card details

    IDT 92HD71B7 @ Intel 82801IB ICH9 – High Definition Audio Controller [A-3] PCI
    Intel HDMI @ Intel 82801IB ICH9 – High Definition Audio Controller [A-3] PCI

  32. scott

    With almost 1,000 bug reports open in 11.0-11.1 this is no time to release 11.2 unless it fixes all these bugs. We cannot just have new releases issued on the traditional 8 months cycle. Fix ALL the open Bugs first, then consider providing more functionality

  33. I brought down the DVD version on May 4th. It did not have KDE 4.3. IF I download it again will I get 4.3 or still get 4.2.2?? And by the way, I am running it inside VMware, i586 version, and it is really to slow. I’m hoping that KDE 4.3 OR other improvements in SuSE itself will make it faster. I have a 3.2Ghz Dual Core, 4GB of RAM and a 7200rpm HD so I don’t believe the slowness is caused by my hardware. My VMware is running inside SuSE 11.1.
    Thanks

  34. scott

    Another Radical Idea would be to fix all the bugs outstanding in 11.0-11.1 and this would be the 11.2 release

  35. Yg

    There is a problem with connection a larger display (Samsung 2223NW, 1650*1080) to a 15-inch (1280*800) Acer 3690 notebook (i945).
    11.1 detects the right resolution of connected Samsung 2223NW, but nothing except a thin blinking horizontal line is displayed.
    To use full resolution have to use the pre-installed Windows XP, which uses the full resolution of the external display without
    any tuning. (Thus, hardware is Ok).

  36. Gerrit Jan

    Install true image (dutch x64 kde on vmware) did not work, error on packages, trying it 3 times.
    With image option out all went fine.
    Looks good.

  37. Any word on cpu speed support in Xen kernel? It’s the one thing missing. I’ve considered switching to Centos for my home Xen server which runs a dozen VMs and for the secondary Xen server I’d build. I prefer performance of Opensuse but power saving is very important!

  38. macias

    +1 vote for keeping KDE3 (w/o support, I don’t mind).

    The reason is simply this that I use some KDE4 apps already but not all simply because I cannot replace them — KDE3 counterparts are much more mature:
    * kpdf rendering quality is superior comparing to okular
    * kchmviewer handles .chm files correctly, okular does not
    * kate/KDE4 does not sort lines
    * KMail/KDE4 cannot put custom templates on toolbar
    * Plasma/KDE4 does not have hide-on-demand panels
    * gwenview/KDE4 does not have folders/files pane (the report is marked as fixed now, so I hope it will be in KDE4.3)

    and so on. There are more on KDE bugzilla. I would be happy to dive into KDE4 but I rely on numerous features that are present in KDE3 and are not present in KDE4. So for now I use only Dolphin, Krusader, KNode from KDE4.

  39. Dwight Paige

    Where are instructions for installing nVidia driver for 11.2 Milestone 2?

  40. i hope,openSuSE 11.2 will support any SiS vga. Because I’m using that chipset. For now, it work with VESA mode. But, I’m not comfortable with that